# $Revision: 1.65 $, $Date: 2009/09/30 15:29:30 $
Summary:	Tracks runtime library calls from dynamically linked executables
Summary(es.UTF-8):	Enseña información sobre las llamadas a funciones de bibliotecas en binarios dinámicamente conectados
Summary(pl.UTF-8):	Śledzenie odwołań do bibliotek w plikach konsolidowanych dynamicznie
Summary(pt_BR.UTF-8):	Mostra informações sobre as chamadas à funções de bibliotecas em binários dinamicamente ligados
Summary(ru.UTF-8):	Выводит трассу библиотечных и системных вызовов программы
Summary(uk.UTF-8):	Видає трасу бібліотечних та системних викликів програми
Name:		ltrace
Version:	0.5.3
Release:	1
License:	GPL v2+
Group:		Development/Debuggers
Source0:	ftp://ftp.debian.org/debian/pool/main/l/ltrace/%{name}_%{version}.orig.tar.gz
# Source0-md5:	3fa7fe715ab879db08bd06d1d59fd90f
Patch0:		%{name}-Makefile.in.patch
Patch1:		%{name}-debian.patch
Patch2:		poor-mans-autoconf.patch
Patch3:		ptrace-headers.patch
Patch4:		%{name}-calls.patch
URL:		http://ltrace.alioth.debian.org/
BuildRequires:	elfutils-devel
# for libsupc++ (used for symbols demangling)
BuildRequires:	gcc-c++
ExclusiveArch:	alpha armv4b armv4l %{ix86} ia64 m68k ppc s390 sparc %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ltrace is a debugging program which runs a specified command until the
command exits. While the command is executing, ltrace intercepts and
records both the dynamic library calls called by the executed process
and the signals received by the executed process. Ltrace can also
intercept and print system calls executed by the process. You should
install ltrace if you need a sysadmin tool for tracking the execution
of processes.

%description -l es.UTF-8
ltrace es un programa que sencillamente ejecuta un comando
especificado hasta su término. Intercepta y registra las llamadas, a
las funciones de las bibliotecas compartidas, hechas por el programa
en ejecución, y los señales recibidos por el proceso. También puede
interceptar y enseñar las llamadas al sistema operativo hechas por el
programa.

%description -l pl.UTF-8
Ltrace jest programem wspomagającym debugowanie programów. Ltrace
uruchamia dane polecenie przechwytując i zapisując odwołania do
bibliotek konsolidowanych dynamicznie oraz sygnały otrzymane przez
program. Ltrace potrafi także przechwytywać i wyświetlać odwołania
systemowe wykonywane przez program. Jeśli potrzebujesz narzędzia
administracyjnego, przydatnego do śledzenia działania programów,
powinieneś zainstalować ltrace.

%description -l pt_BR.UTF-8
ltrace é um programa que simplesmente executa um comando especificado
até seu término. Ele intercepta e registra as chamadas à funções a
bibliotecas compartilhadas feitas pelo programa em execução e os
sinais recebidos pelo processo. Também pode interceptar e mostrar as
chamadas ao sistema operacional feitas pelo programa.

%description -l ru.UTF-8
Ltrace - это отладочная программа, которая запускает указанную
программу, перехватывает и записывает как вызовы динамических
библиотек, так и сигналы, получаемые выполняющимся процессом. Ltrace
может также перехватывать и печатать системные вызовы, выполняемые
процессом.

%description -l uk.UTF-8
Ltrace - це програма, яка запускає вказану програму та перехвачує й
записує як виклики динамічних бібліотек, так і сигнали, які отримує
запущений процес. Ltrace може також перехвачувати і друкувати системні
виклики цього процесу.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog README TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ltrace.conf
%attr(755,root,root) %{_bindir}/ltrace
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ltrace.spec,v $
Revision 1.65  2009/09/30 15:29:30  qboosh
- added calls patch (few more functions to ltrace.conf)

Revision 1.64  2009/09/29 16:10:06  glen
- PTRACE_* constants for older libc/llh (copied from sysdeps/linux-gnu/trace.c for now)

Revision 1.63  2009/09/29 15:53:42  glen
- update to 0.5.3
- introduce poor mans autoconf as maintainer decided to kill ac stuff, sic!

Revision 1.62  2009/06/21 14:43:01  hawk
- release 2

Revision 1.61  2009/05/26 06:48:33  amateja
- updated to 0.5.2

Revision 1.60  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.59  2007/09/02 19:36:02  qboosh
- updated to 0.5
- added debian patch

Revision 1.58  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.57  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.56  2006/03/10 20:47:41  qboosh
- updated to 0.4 (with ia64 port)

Revision 1.55  2006/02/19 15:54:06  qboosh
- updated to 0.3.37, updated URL and Makefile.in patch

Revision 1.54  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.53  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.52  2004/11/22 23:14:34  qboosh
- updated to 0.3.36, updated Makefile.in patch

Revision 1.51  2004/10/30 21:22:55  qboosh
- actually apply differences btwn 0.3.35 and 0.3.35.1
  now ltrace works on binaries built by recent binutils

Revision 1.50  2004/10/30 21:03:13  qboosh
- updated to 0.3.35.1

Revision 1.49  2004/07/18 08:37:16  qboosh
- updated to 0.3.35

Revision 1.48  2004/07/08 20:34:21  qboosh
- updated to 0.3.34

Revision 1.47  2004/06/17 10:00:03  qboosh
- updated to 0.3.33, removed obsolete patches

Revision 1.46  2004/04/18 17:45:28  qboosh
- updated alpha patch

Revision 1.45  2004/04/18 17:28:22  qboosh
- updated sparc patch

Revision 1.44  2004/04/18 17:04:58  qboosh
- amd64 support has been merged, only few fixes needed

Revision 1.43  2004/04/14 08:47:35  agaran
- update to 0.3.32, rel 1

Revision 1.42  2004/01/23 13:10:23  qboosh
- revert alpha breakage from rev 1.40 (think!), release 8

Revision 1.41  2004/01/23 12:18:29  jajcus
- Release: 7

Revision 1.40  2003/12/21 23:27:29  undefine
- amd64 support, apply sparc patch only on sparc*

Revision 1.39  2003/11/22 15:25:58  qboosh
- added alpha patch (far from perfect, but better than nothing)
- release 6

Revision 1.38  2003/11/20 06:49:01  qboosh
- updated sparc patch to fix build on ppc; release 5

Revision 1.37  2003/11/19 23:41:50  qboosh
- added sparc patch (updated from ltrace 0.3.8 sparc port by Jakub Jelinek)
- release 4

Revision 1.36  2003/11/17 23:43:10  undefine
- release 3 to rebuild with ac

Revision 1.35  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.34  2003/08/24 23:01:10  blues
- release 2

Revision 1.33  2003/05/27 10:49:08  trojan
- added Source-md5

Revision 1.32  2003/05/25 05:50:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/03/13 10:22:08  kloczek
- realy update to 0.3.31.

Revision 1.30  2003/03/13 08:34:00  trojan
- updated to 0.3.31
- removed nsyscals0 patch (applied)

Revision 1.29  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.28  2002/06/28 19:50:06  kloczek
- release 3.

Revision 1.27  2002/06/28 12:29:42  blues
- new doc
- URL added

Revision 1.26  2002/05/21 23:14:06  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/05/18 21:25:39  marcus
- ltrace builds and runs on PPC too
- rel.2.

Revision 1.24  2002/04/01 09:58:35  pioklo
- up to 0.3.26

Revision 1.23  2002/03/19 21:57:35  kloczek
- updated to 0.3.23,
- merged translations from KSI,
- merge nsyscals0 patch from RH,
- added regenerate ac files.

Revision 1.22  2002/03/18 09:21:55  malekith
- pass rpmldflags down

Revision 1.21  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2002/01/18 00:00:52  kloczek
- updated to 0.3.16 (bugfix release).

Revision 1.18  2001/11/21 09:00:41  kloczek
- merge translations from CNV.

Revision 1.17  2001/10/28 11:58:49  saq
- up to 0.3.15
- STB

Revision 1.16  2001/10/01 16:53:48  blues
- release 3
- configure2_13 used

Revision 1.15  2001/05/29 18:10:47  qboosh
- removed BuildRequires: binutils-static - seems to be not necessary

Revision 1.14  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.13  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.12  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.11  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.10  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/01/11 20:12:06  kloczek
- update to 0.3.10,
- added pass LDFLAGS="-s" to ./configure environment,
- adapter(ized).

Revision 1.8  1999/09/13 19:54:06  kloczek
- cleaned up header.

Revision 1.7  1999/09/13 19:45:31  wiget
- added Group(pl)
- using more macros
- added BuildRequires: rule

Revision 1.6  1999/09/13 19:42:25  kravietz
- added ARM and m68k architectures (new for 0.3.8)

Revision 1.5  1999/09/13 19:35:28  kloczek
- reformated header,
- added gzipping %doc and man pages,
- removed COPYING from %doc (copyright statment is in Copyright field).
- rewrited %files.

Revision 1.4  1999/09/13 19:20:41  kravietz
- corrected ExclusiveArch
- updated Polish description and summary

Revision 1.3  1999/09/13 18:13:19  kravietz
- architecture fixes (added other than i386)
- changes fixed pathes to proper %{_macros}

Revision 1.2  1999/09/13 18:07:44  kravietz
- update to ltrace-0.3.8

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw
